%global commit 6180de2bbacba585f50b7d69357dc04d8a4c9a8b
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-bloom
Version:        0.5.20
Release:        3%{?dist}
Summary:        Bloom is a release automation tool

Group:          Development/Tools
License:        BSD
URL:            http://www.ros.org/wiki/bloom
Source0:        https://github.com/ros-infrastructure/bloom/archive/%{commit}/bloom-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  python-nose
BuildRequires:  python-pep8
BuildRequires:  python-sphinx
BuildRequires:  python2-devel
Requires:       PyYAML
Requires:       python-catkin_pkg >= 0.2.2
Requires:       python-dateutil
Requires:       python-empy
Requires:       python-rosdep >= 0.10.25
Requires:       python-rosdistro >= 0.4.0
Requires:       python-setuptools
Requires:       python-vcstools >= 0.1.22

%description
Bloom provides tools for releasing software on top of a git repository
and leverages tools and patterns from git-buildpackage. Additionally,
bloom leverages meta and build information from catkin
(https://github.com/ros/catkin) to automate release branching and the
generation of platform specific source packages, like debian's src-debs.

%prep
%setup -qn bloom-%{commit}

%build
%{__python2} setup.py build
PYTHONPATH=%{_builddir}/bloom-%{commit}/build/lib/ make -C docs html man
rm -f docs/_build/html/.buildinfo

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
# Test directory should NOT be installed
rm -rf %{buildroot}%{python2_sitelib}/test
install -m0644 -D docs/_build/man/bloom.1 %{buildroot}%{_datadir}/man/man1/bloom.1

%check
# Many of the tests require rosdep to be functioning, which requires sudo
# Run only the tests that don't
PYTHONPATH=%{buildroot}%{python2_sitelib} nosetests test/test_code_format.py

%files
%doc CHANGELOG.rst LICENSE.txt README.rst docs/_build/html
%{python2_sitelib}/bloom
%{python2_sitelib}/bloom-%{version}-py?.?.egg-info
%{_bindir}/bloom-*
%{_bindir}/git-bloom-*
%{_datadir}/man/man1/bloom.1.gz

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr 24 2015 Rich Mattes <richmattes@gmail.com> - 0.5.20-1
- Update to 0.5.20 (rhbz#1214972)

* Wed Mar 04 2015 Rich Mattes <richmattes@gmail.com> - 0.5.19-1
- Update to 0.5.19

* Mon Dec 15 2014 Scott K Logan <logans@cottsay.net> - 0.5.16-1
- Update to 0.5.16

* Sat Dec 13 2014 Scott K Logan <logans@cottsay.net> - 0.5.15-1
- Update to 0.5.15

* Fri Nov 28 2014 Scott K Logan <logans@cottsay.net> - 0.5.14-1
- Update to 0.5.14

* Thu Sep 25 2014 Scott K Logan <logans@cottsay.net> - 0.5.12-1
- Update to 0.5.12

* Thu Jul 24 2014 Scott K Logan <logans@cottsay.net> - 0.5.11-1
- Update to 0.5.11

* Mon Jun 09 2014 Scott K Logan <logans@cottsay.net> - 0.5.9-1
- Update to 0.5.9

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Scott K Logan <logans@cottsay.net> - 0.5.8-1
- Update to 0.5.8

* Fri Apr 11 2014 Scott K Logan <logans@cottsay.net> - 0.5.4-1
- Update to 0.5.4
- Removed setuptools patch

* Mon Apr 07 2014 Scott K Logan <logans@cottsay.net> - 0.5.2-1
- Update to 0.5.2
- Changed source URL to Github
- Added HTML to docs
- Added man page
- Added LICENSE.txt
- Added setuptools patch

* Tue Mar 04 2014 Scott K Logan <logans@cottsay.net> - 0.5.1-1
- Initial package
